# \CWhitelistTest

A testclass

## Summary

Methods
Properties
Constants
providerHostnameMatch()
providerHostnameNoMatch()
testRemoteHostWhitelistMatch()
testRemoteHostWhitelistNoMatch()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$remote_whitelist
N/A

File
  test/CWhitelistTest.php
Package
  Default
Class hierarchy
  \PHPUnit_Framework_TestCase
  \CWhitelistTest

## Tags

None found

## Properties

### $remote_whitelist

    $remote_whitelist :

#### Type

#

## Tags

None found

## Methods

### providerHostnameMatch()

    providerHostnameMatch() : array

Provider for hostname matching the whitelist.

#### Returns

array

#

## Tags

None found

### providerHostnameNoMatch()

    providerHostnameNoMatch() : array

Provider for hostname not matching the whitelist.

#### Returns

array

#

## Tags

None found

### testRemoteHostWhitelistMatch()

    testRemoteHostWhitelistMatch(string  $hostname) : void

Test

#### Parameters

string | $hostname | matches the whitelist

#

## Tags

dataProvider | providerHostnameMatch

### testRemoteHostWhitelistNoMatch()

    testRemoteHostWhitelistNoMatch(string  $hostname) : void

Test

#### Parameters

string | $hostname | not matching the whitelist

#

## Tags

dataProvider | providerHostnameNoMatch

### CWhitelistTest.php